summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests/init_slapd.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2006-09-08 03:28:39 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:17:54 -0500
commit89a39c7acbbd52464118b6c44d612d1f1b347ccf (patch)
treec09e37b313d1a61d3d2a70d8c15bbd8b97ec3703 /source4/lib/ldb/tests/init_slapd.sh
parented962c833bd37b05c1fadd1857b22b5566d7f850 (diff)
downloadsamba-89a39c7acbbd52464118b6c44d612d1f1b347ccf.tar.gz
samba-89a39c7acbbd52464118b6c44d612d1f1b347ccf.tar.bz2
samba-89a39c7acbbd52464118b6c44d612d1f1b347ccf.zip
r18244: more portable shell scripting
(This used to be commit 320003127690ab98fc2185f0eb528a778cae2740)
Diffstat (limited to 'source4/lib/ldb/tests/init_slapd.sh')
-rwxr-xr-xsource4/lib/ldb/tests/init_slapd.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/source4/lib/ldb/tests/init_slapd.sh b/source4/lib/ldb/tests/init_slapd.sh
index 8ebfed9c66..cf06acd08b 100755
--- a/source4/lib/ldb/tests/init_slapd.sh
+++ b/source4/lib/ldb/tests/init_slapd.sh
@@ -24,18 +24,18 @@ MODCONF=tests/tmp/modules.conf
rm -f $MODCONF
touch $MODCONF || exit 1
-if ! slaptest -u -f $LDBDIR/tests/slapd.conf > /dev/null 2>&1; then
-echo "enabling sladp modules"
-cat > $MODCONF <<EOF
+slaptest -u -f $LDBDIR/tests/slapd.conf > /dev/null 2>&1 || {
+ echo "enabling sladp modules"
+cat > $MODCONF <<EOF
modulepath /usr/lib/ldap
moduleload back_bdb
EOF
-fi
+}
-if ! slaptest -u -f $LDBDIR/tests/slapd.conf; then
+slaptest -u -f $LDBDIR/tests/slapd.conf || {
echo "slaptest failed - skipping ldap tests"
exit 0
-fi
+}
slapadd -f $LDBDIR/tests/slapd.conf < $LDBDIR/tests/init.ldif || exit 0